@echo off
@if .%ShowMe%==.yes echo on
@set dev=nul:
@if .%ShowMe%==.yes set dev=con:

:-- make sure environment is clean before we start
set FromDrive=
set DOSdrive=
set DOSpth=
set WINdrive=
set WINpth=
set DBdrive=
set DBpth=
set SYSdrive=
set SYSpath=
set DOSrc=
set WINrc=
set DBrc=
set SYSrc=

if exist 11feb95.flg goto DirOK

echo.
echo drive:\directory containing the NPA files and installation routine
echo must be the default.  Please change default drive and/or directory
echo as necessary.
echo.
goto EndBat

:DirOK
:-- save current directory
cd >cwd

:-- execute installation question program
if exist svnpa.bat del svnpa.bat
instnpa foo
if ErrorLevel 1 goto EndBat

:-- stuff drive and path info into environment
if not exist svnpa.bat goto EndBat
call svnpa
del  svnpa.bat

if .%DOSdrive%==. set DOSdrive=%FromDrive%
if .%DBdrive%==.  set DBdrive=%FromDrive%
if .%WINdrive%==. set WINdrive=%FromDrive%
if .%SYSdrive%==. set SYSdrive=%FromDrive%

if .%DOSpth%==. goto dtDB
dirtest %DOSpth% /m
if ErrorLevel 3 set DOSrc=failed creating %DOSpth%

:dtDB
if .%DBpth%==. goto dtWIN
dirtest %DBpth% /m
if ErrorLevel 3 set DBrc=failed creating %DBpth%

:dtWIN
if .%WINpth%==. goto chkRC
dirtest %WINpth% /m
if ErrorLevel 3 set WINrc=failed creating %WINpth%
dirtest %SYSpth%
if ErrorLevel 1 set SYSrc=cannot verify   %SYSpth%

:chkRC
if .%DOSrc%==. if .%DBrc%==. if .%WINrc%==. if .%SYSrc%==. goto AllGood
goto ERRrc

:AllGood
:-- Install DOS files
if .%DOSpth%==. goto doDB
copy npa.* %DOSpth%
copy brand.* %DOSpth%
set npa_data=%DBpth%

:-- Install database files
:doDB
if .%DBpth%==. goto doWIN
npa_data -o %DBpth%
copy summary.npa %DBpth%
copy readme      %DBpth%
copy intl        %DBpth%

:-- Install Windows version
:doWIN
if .%WINpth%==. goto Done
copy npaw.* %WINpth%
winsys -n %SYSpth%

echo [NPAW]>npaw.mrg
echo DataPath=%DBpth%>>npaw.mrg
mini %WINpth%\npaw.ini npaw.mrg foo.ini
copy foo.ini %WINpth%\npaw.ini
del  npaw.mrg
del  foo.ini

:Done
cls
if .%DOSpth%==. goto isWIN
echo.
echo ------------------------------------------------------------------------------
echo Since you installed NPA for DOS, you should add an environment variable to
echo autoexec.bat that tells NPA where to find the data files.  Please add the
echo following statement near the top of autoexec.bat where it will be executed
echo each time you reboot.
echo.
echo     set npa_data=%DBpth%
echo.
echo Jot down this setting as a reminder, if necessary
echo.
echo Touch (enter) to continue...
pause >nul:

:isWIN
if .%WINpth%==. goto noWIN
echo.
echo ------------------------------------------------------------------------------
echo Since you installed NPA for Windows, you must add the NPAW.EXE icon to one
echo of your program groups in Windows.  Under Program Manager, create a new
echo program item with the following Program Item Properties:
echo.
echo   Description:        NPA for Windows
echo   Command Line:       %WINpth%\npaw.exe
echo   Working Directory:  %WINpth%
echo   Shortcut Key:       Shift + Alt + N
echo                       (or any other shortcut key you want, or none at all)
echo.
echo Jot down these properties as a reminder, if necessary
echo.
echo Touch (enter) to continue...
pause >nul:

:noWIN
if .%WINpth%==. goto DOSreg
echo.
echo ------------------------------------------------------------------------------
echo If you *purchased* NPA for Windows then please locate the enclosed
echo registration card.  Here's how to register your copy of NPA for Windows:
echo.
echo   1. First, create the NPA for Windows icon as explained above.
echo   2. Double-click the NPA for Windows icon to start the program.
echo   3. NPAW will automatically prompt you for registration info.
echo.
echo Jot down these steps as a reminder, if necessary
echo.
echo Touch (enter) to continue...
pause >nul:

if .%DOSpth%==. goto NOreg
:DOSreg
echo.
echo ------------------------------------------------------------------------------
echo If you *purchased* NPA for DOS then please locate the enclosed registration
echo card.  Here's how to register your copy of NPA for DOS:
echo.
echo   1. CHDIR into the directory that contains the NPA database files.
echo      NPA database files are in %DBpth%
echo   2. Execute the BRAND.EXE program, located in %DOSpth%
echo   3. Enter the two bits of data on the card, as prompted by BRAND.
echo.
echo Jot down these steps as a reminder, if necessary
echo.
echo Touch (enter) to continue...
pause >nul:

:NOreg
echo.
echo ------------------------------------------------------------------------------
echo Installation complete!
echo.
echo The following files may be interesting/useful:
echo    listing of all area and state codes:   %DBpth%\summary.npa
echo    international calling codes            %DBpth%\intl

if .%DOSpth%==. goto noDOSfi
echo    NPA for DOS documentation              %DOSpth%\npa.doc
echo    BRAND for NPA for DOS documentation    %DOSpth%\brand.doc

:noDOSfi
echo.
goto EndBat

:ERRrc
echo.
if not .%DOSrc%==. echo %DOSrc%
if not .%DBrc%==.  echo %DBrc%
if not .%WINrc%==. echo %WINrc%
if not .%SYSrc%==. echo %SYSrc%
echo.
echo Please double-check that drive letters are correct and that there are no
echo files in the above paths whose name duplicates any portion of those paths.
echo.

:EndBat
if exist cwd del cwd

:-- clean up our mess
set FromDrive=
set DOSdrive=
set DOSpth=
set WINdrive=
set WINpth=
set DBdrive=
set DBpth=
set SYSdrive=
set SYSpath=
set DOSrc=
set WINrc=
set DBrc=
set SYSrc=
